.header {
    z-index: 1099;
}

.toolbar {

}
body.modal-open {
    overflow: hidden;
}

.modal-backdrop {
    top: 60px;
}

.modal {
    top: 60px;
    bottom: 40px;
    height: auto;
}

.modal-dialog {
    overflow-y: initial !important
}

.modal-body {
    overflow-y: auto;
}

@media (min-width: 1300px) {
    .modal-xxl {
        max-width: 1280px;
    }
}

.form-control.search-bar {
    background: #fff;
    border: 1px solid #aaa;
    border-radius: 25px;
    padding: 0.75rem 2rem;
}
.form-check-input:disabled {
    opacity: 1;
    background: #DDD;
    background-repeat: no-repeat;
    background-position:center;
}
    .form-check-input:disabled:checked {
        background-color: #f5737f;
    }


input.form-control {
    color: #111;
}

    input.form-control:focus {
        border: 1px solid #088;
    }

    input.form-control:read-only {
        background: #FAFAFA;
        border: none;
    }

    input.form-control:disabled {
        background: #FAFAFA;
        border: none;
    }

.kt-checkbox {
    display: inline-block;
    position: relative;
    text-align: left;
    cursor: pointer;
    font-size: 1rem;
}

    .kt-checkbox.kt-checkbox--disabled {
        opacity: 0.8;
        cursor: not-allowed;
    }

    .kt-checkbox > input {
        position: absolute;
        z-index: -1;
        opacity: 0;
    }

    .kt-checkbox > span {
        border-radius: 3px;
        background: none;
        position: absolute;
        top: 1px;
        left: 0;
        height: 18px;
        width: 18px;
        border: 1px solid #333;
    }

        .kt-checkbox > span:after {
            content: '';
            position: absolute;
            display: none;
            top: 50%;
            left: 50%;
            margin-left: -2px;
            margin-top: -6px;
            width: 5px;
            height: 10px;
            border-width: 0 2px 2px 0 /*rtl:ignore*/ !important;
            -webkit-transform: rotate(45deg) /*rtl:ignore*/;
            transform: rotate(45deg) /*rtl:ignore*/;
        }

    .kt-checkbox > input:checked ~ span {
        -webkit-transition: all 0.3s ease;
        transition: all 0.3s ease;
        background: none;
        border: 1px solid #333;
    }

        .kt-checkbox > input:checked ~ span:after {
            display: block;
        }

    .kt-checkbox:hover > input:not([disabled]):checked ~ span,
    .kt-checkbox > input:checked ~ span {
        -webkit-transition: all 0.3s ease;
        transition: all 0.3s ease;
    }

    .kt-checkbox > input:disabled ~ span {
        opacity: 0.6;
        pointer-events: none;
    }

    .kt-checkbox.kt-checkbox--bold > span {
        border-width: 2px !important;
        -webkit-transition: all 0.3s ease;
        transition: all 0.3s ease;
        border: 2px solid #333;
    }
    .kt-checkbox > span:after {
        border: solid #333;
    }

.input-group .kt-checkbox {
    margin-bottom: 0 !important;
    padding-left: 0;
}

.btn {
    border: 1px solid #aaa;
    border-radius: 25px;
    padding: 8px 20px;
    font-size: 1rem;
}

    .btn.btn-wide {
        padding-left: 50px !important;
        padding-right: 50px !important;
    }

    .btn.btn-sm {
        padding: 3px 10px;
        font-size: 0.9rem;
    }

    .btn.btn-block {
        width: 100%;
    }

    .btn.btn-branch-back {
        font-size:1rem;
        width:10rem;
        padding:5px 10px !important;
        background:#fff;
    }
    .btn.btn-excel {
        background: #1D6F42;
        color: #fff;
    }
    .btn.btn-pdf {
        background: #F40F02;
        color: #fff;
    }
    .btn.btn-main-red {
        font-weight: bold;
        border-radius: 20px;
        background-color: #e11f26;
        color: white;
    }

.min-w300 {
    min-width: 300px !important;
}

@media (max-width: 767.98px) {
    .btn.btn-wide {
        padding-left: 35px;
        padding-right: 35px;
    }

    .btn.btn-xs-block {
        width: 100%;
    }

    .min-w300 {
        min-width: 240px !important;
    }
}

.badge.badge-red {
    background: #8c0c04;
    color: #fff;
}

.btn.btn-success {
    background: #8c0c04;
    color: #fff;
    border: 1px solid #8c0c04;
}

.btn.btn-red {
    background: #8c0c04;
    color: #fff;
    border: 1px solid #8c0c04;
}

    .btn.btn-red i.fa {
        color: #fff;
    }

.btn.btn-white {
    background: #fff;
    color: #1d252c;
    border: 1px solid #aaa;
}

.btn.btn-white-red {
    background: #fff;
    color: #8c0c04;
    border: 1px solid #8c0c04;
}

.btn.btn-border {
    border: 1px solid #888 !important;
}

.btn.text-largest {
    font-size: 1.6em !important;
    padding: 1rem 3rem;
}

.b_lang {
    width: 40px;
}

img.img-circle {
    border-radius: 50% !important;
}

.c-red,
a.c-red:hover {
    color: #8c0c04;
}

.c-white,
a.c-white:hover {
    color: #fff;
}

.c-black,
a.c-black:hover {
    color: #000;
}

.c-333,
a.c-333:hover {
    color: #333;
}

.c-555,
a.c-555:hover {
    color: #555;
}

.c-888,
a.c-888:hover {
    color: #888;
}

.c-aaa,
a.c-aaa:hover {
    color: #aaa;
}

.bg-red {
    background: #8c0c04;
}

.bg-white {
    background: #fff;
}

.alert {
    padding: 15px 20px 10px;
}

    .alert > span.svg-icon {
        margin-right: 8px;
    }

    .alert.alert-error,
    .alert.alert-red {
        color: #912741;
        background-color: #fcd9e2;
        border-color: #fbc6d3;
    }

.badge-red {
    color: #fff;
    background-color: #8c0c04;
}

.page-footer {
    font-size: 14px !important;
}

/* ETC */
.ul {
    text-decoration: underline;
}

.has-error {
    border: 1px solid #f00;
}

.error {
    color: #f00;
}

.require {
    color: #f00;
}

.space {
    display: inline-block;
    padding: 0 10px;
}

.ml5 {
    margin-left: 5px;
}
.ml10 {
    margin-left: 10px;
}
.mr5 {
    margin-right: 5px;
}
.mr10 {
    margin-right: 10px;
}
.mr20 {
    margin-right: 20px;
}

/* FIX PLUGIN */
.dataTables_length {
    margin-bottom: 10px;
}

    .dataTables_length select {
        width: 80px !important;
        margin: 0 5px 0 8px;
    }
.dt-buttons {
    text-align:right;
}

table.dataTable th {
    background: #8c0c04;
    color: #fff;
    font-weight: 400 !important;
    border-bottom-color: #8c0c04 !important;
}

    table.dataTable th.sorting,
    table.dataTable th.sorting_asc,
    table.dataTable th.sorting_desc,
    table.dataTable th.sorting_disabled {
        background-image: none !important;
    }

table.dataTable thead .sorting:before, table.dataTable thead .sorting:after, table.dataTable thead .sorting_asc:after, table.dataTable thead .sorting_desc:before, table.dataTable thead .sorting_asc_disabled:before, table.dataTable thead .sorting_asc_disabled:after, table.dataTable thead .sorting_desc_disabled:before, table.dataTable thead .sorting_desc_disabled:after {
    opacity: 0.4;
}

table.dataTable thead .sorting_asc_disabled:before, table.dataTable thead .sorting_asc_disabled:after, table.dataTable thead .sorting_desc_disabled:before, table.dataTable thead .sorting_desc_disabled:after {
    opacity: 0;
}

table.dataTable thead .sorting_asc:before, table.dataTable thead .sorting_desc:after {
    opacity: 1;
}

.dataTables_wrapper .dataTables_paginate {
    padding-top: 0.85em;
}

    .dataTables_wrapper .dataTables_paginate .paginate_button {
        display: inline;
        padding: 0 5px;
        border: 0;
    }

        .dataTables_wrapper .dataTables_paginate .paginate_button:hover {
            border: 0;
            background: #8c0c04 !important;
        }

        .dataTables_wrapper .dataTables_paginate .paginate_button.current, .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
            color: #fff !important;
            background: #8c0c04 !important;
            border: 0 !important;
        }

th.fit-width,
td.fit-width {
    width: 1px;
    white-space: nowrap;
}

.inputmask_money {
    text-align: right;
}
/* FIX PLUGIN */
.select2.select2-container {
    width: 100% !important;
    padding: 0.5rem;
    -moz-padding-start: calc(1rem - 3px);
    font-size: 1.1rem;
    font-weight: 500;
    line-height: 1.5;
    color: #5e6278;
    background-color: #fff;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%237E8299' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right 1rem center;
    background-size: 16px 12px;
    border: 1px solid #e4e6ef;
    border-radius: 0.475rem;
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.075);
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    appearance: none;
}

.select2-container--default.select2-container--disabled {
    background-color: #eee;
}

.select2-container--bootstrap .select2-selection--single,
.select2-container--default .select2-selection--single {
    height: auto;
    border: 0 !important;
    padding: 0.25rem 2.5rem 0.25rem 0.5rem;
}

    .select2-container--bootstrap .select2-selection--single .select2-selection__rendered,
    .select2-container--default .select2-selection--single .select2-selection__rendered {
        line-height: 1.5;
    }

    .select2-container--bootstrap .select2-selection--single .select2-selection__arrow,
    .select2-container--default .select2-selection--single .select2-selection__arrow {
        display: none;
    }

.select2-container--focus {
    outline: 0;
    box-shadow: inset 0 1px 2px rgb(0 0 0 / 8%), 0 0 0 0.25rem rgb(0 158 247 / 25%) !important;
}

.select2-search__field:focus,
.select2-selection--single:focus {
    outline: none !important;
}

.select2-container--bootstrap .select2-selection {
    font-family: 'kanit', 'OpenSans' !important;
}

.select2-container--bootstrap .select2-selection--single .select2-selection__rendered {
    font-size: initial;
    font-weight: initial;
}

.select2-results__options {
    max-height: 200px;
    overflow-y: auto;
}

.select2-container--above.select2-container--open {
    border-top: 0 !important;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    box-shadow: inset 0 0 2px rgba(0, 0, 0, 0.075);
    border-color: #aaa;
}

.select2-container--below.select2-container--open {
    border-bottom: 0 !important;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    border-color: #aaa;
}

.datepicker {
    padding: 8px 15px;
}

    .datepicker td, .datepicker th {
        width: 30px;
        height: 30px;
        /*border: 1px solid #EEE;*/
    }

.blockui_msg {
    font-size: 16px;
}

/* ptoon: try to block all modal , except bootbox, if it not work, please tell ptoon */
.blockUI.blockOverlay {
    z-index: 2000 !important;
}

.blockUI.blockMsg {
    z-index: 2011 !important;
}

    .blockUI.blockMsg .blockui_msg {
        font-size: 16px;
    }

.bootbox.modal,
.sweet-alert {
    z-index: 2055 !important;
}

.bootbox-close-button.close {
    position: absolute;
    top: 0;
    right: 0;
    box-sizing: content-box;
    width: 1em;
    height: 1em;
    color: transparent;
    background: transparent url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414z'/%3e%3c/svg%3e") center/1em auto no-repeat;
    border: 0;
    opacity: 1;
    padding: 1.25rem;
}
/* */

.fileinput .thumbnail > img {
    width: 100%;
    object-fit:contain;
}

.dropzone .dz-details {
    display: none;
}

.dropzone.dz-clickable .btn {
    cursor: pointer;
}

.nav-tabs {
    border-color: #888;
}

    .nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
        border: none;
        background: #8c0c04;
        color: #fff;
    }

@media print {
    .print-page-break {
        page-break-after: always;
    }
}

.fa.fa-lg {
    font-size:1.2rem;
}

/* ETC */
/* BWS TEAM ADD CUSTOM HERE */
